# Fn<> RemoveReference
Converts a (reference) type into the same type without a reference.

Defined in | <seqan/basic.h>
Signature | `RemoveReference<T>::Type;`

## Template Parameters

`T` | The input type.

## Return Values

`Type` | A corresponding non-reference type, e.g. `int` for `T = & int`.

#### Dox Sources

    /*!
     * @mfn RemoveReference
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Converts a (reference) type into the same type without a reference.
     *
     * @signature RemoveReference<T>::Type;
     *
     * @tparam T The input type.
     *
     * @return Type A corresponding non-reference type, e.g. <tt>int</tt> for <tt>T
     *              = &amp; int</tt>.
     */